org.firebirdsql.jaybird.parser

## Class StatementIdentification

- java.lang.Object
- - org.firebirdsql.jaybird.parser.StatementIdentification

    @InternalApi
    public final class StatementIdentification
    extends java.lang.Object

Statement type identification.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Concrete Methods
`LocalStatementType` `getStatementType()`
`java.lang.String` `getTableName()` Table name, if this is a DML statement (other than `SELECT`).
`boolean` `returningClauseDetected()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getStatementType

    public LocalStatementType getStatementType()

#### getTableName

    public java.lang.String getTableName()

Table name, if this is a DML statement (other than `SELECT`).

Returns:
  Table name, `null` for `SELECT` and other non-DML statements

#### returningClauseDetected

    public boolean returningClauseDetected()